#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 2628 $
$LastChangedDate:: 2019-12-05 14:24:02 +0100#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script builds all components
        
    Commandline Arguments
    ---------------------
    
    --fullBuild : int
        If --fullBuild is 1 all components will be built,
        if --fullBuild is 0 (Default) only new components will be built.
        
    --startDir : str
        The search for component starts from this directory (Optional).
        Default is the ComponentSpace root directory.
                
    Examples
    --------
    
    >>> CSyMSpace.exe build_components.py --fullBuild 1
    
    >>> CSyMSpace.exe build_components.py --fullBuild 0 --startDir "C:\\ComponentSpace\\Simulation\\Motor"
        
    """

    from componentspace.create_buildscript import ComponentBuilder

    builder = ComponentBuilder.fromCMDParser()
    builder.startBuild()
    builder.deployReports()
