#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 2806 $
$LastChangedDate:: 2020-02-19 12:26:51 +0100#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script builds test projects from excel files

    This script needs to be run in a SyMSpace console!

    Commandline Arguments
    ---------------------

    --startDir : str
        The search for component starts from this directory (Optional).
        Default is the ComponentSpace root directory.


    Examples
    --------

    >>> CSyMSpace.exe build_excel_tests.py

    >>> CSyMSpace.exe build_excel_tests.py --startDir "C:\\ComponentSpace\\Simulation\\Motor"

    """
    from componentspace.testing.project_tests import ProjectTestBuilder

    builder = ProjectTestBuilder.fromCMDParser()
    builder.cleanReportsDir()
    builder.startBuild()
    builder.deployReports()
