#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 3081 $
$LastChangedDate:: 2020-05-07 16:29:16 +0200#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script collects the dependencies of already built components

    Commandline Arguments
    ---------------------

    --libraryPath : str
        Search in componentspace or in symspace for mopc-files, componentspace (Default)"


    Examples
    --------

    >>> CSyMSpace.exe collect_dependencies.py
    >>> CSyMSpace.exe collect_dependencies.py --libraryPath symspace
    >>> CSyMSpace.exe collect_dependencies.py --libraryPath componentspace

    """

    from componentspace.utils.component_dependencies import ComponentDependencyCollector

    collector = ComponentDependencyCollector.fromCMDParser()
    collector.update()
    # collector.update(dry_run=True)
