#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.5

$LastChangedRevision: 5322 $
$LastChangedDate:: 2021-12-06 15:31:58 +0100#$

This file is part of SyMSpace.

Copyright (c) 2017, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script exports the ComponentSpace to a specified destination directory.
    
    All component directories will be removed from the exported ComponentSpace

    """
    import os
    from symspace.gui.qt.form_dialog import FormDialog
    from componentspace.component_management import exportComponentSpace

    form_title = 'Select destination for ComponentSpace'
    form_elements = [('Select destination', 'browse_folder', '', 'Project files (*.*)')]
    form_result = FormDialog.run(form_title, form_elements)
    
    if form_result['accept']:
        exportComponentSpace(os.path.join(form_result['Select destination'], 'ComponentSpace'))
        print('Export finished')
    else:
        print('Cancelled by user')
